Download it now!
Bug 131561 - FILEOPEN DOCX: Table "merged cell" border lines not interpreted correctly
Summary: FILEOPEN DOCX: Table "merged cell" border lines not interpreted correctly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2020-03-25 11:25 UTC by roeding
Modified: 2020-07-14 04:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Table Example with image preview (37.70 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-03-25 11:25 UTC, roeding
Details
Table Example pdf showing everything (52.62 KB, application/pdf)
2020-03-25 15:00 UTC, Kevin Suo
Details
appearing border bottom line in colspanned cell (38.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-03-26 09:02 UTC, roeding
Details

Note You need to log in before you can comment on or make changes to this bug.
Description roeding 2020-03-25 11:25:18 UTC
Created attachment 158972 [details]
Table Example with image preview

Hello guys,

cells with border lines next to merged cells (rowspan) getting a border line fully over the merged cells, if only the cell next to it has a border line. For clearyfication a example document is attached.

It happens when you open a .docx file (from MS Word) with these table properties with libre office writer.

If the attached file is saved as .doc with MS Word, the file openend in Libre Office show the border line correct. But thats just a workaround i found out for testing.

Greetings
Comment 1 Kevin Suo 2020-03-25 14:57:54 UTC
Confirmed in

Version: 7.0.0.0.alpha0+
Build ID: f6f37e3341f2a3ad292af1a923dbc33d81e439c9
CPU threads: 4; OS: Linux 5.5; UI render: default; VCL: gtk3; 
Locale: zh-CN (zh_CN.UTF-8); UI-Language: en-US
Calc: threaded

and 6.3.5.2.

Also confirm that the table border line looks the same behaviour as shown in the bug reporter's test document in MSO 2010.
Comment 2 Kevin Suo 2020-03-25 15:00:13 UTC
Created attachment 158986 [details]
Table Example pdf showing everything

I am attaching this PDF file in case someone is lazy openning that DOCX file.
Comment 3 NISZ LibreOffice Team 2020-03-26 07:53:31 UTC
@Szabolcs Tóth I think you might be interested in this one
Comment 4 roeding 2020-03-26 09:02:04 UTC
Created attachment 159029 [details]
appearing border bottom line in colspanned cell

New example shows border bottom cell, where shouldnt one (.doc or docx)
Comment 5 Justin L 2020-06-03 18:59:49 UTC
This "merged cell border" problem looks like the opposite example of bug 60378 which was fixed for LO 7.0.

However, I can't even turn off the border with the UI - so not sure how this one would work out...  Definitely a low priority edge case.
Comment 6 Justin L 2020-06-04 16:28:19 UTC
(In reply to roeding from comment #4)
> New example shows border bottom cell, where shouldnt one (.doc or docx)
DOCX bottom border problem fixed with bug 132898.
Comment 7 Commit Notification 2020-07-14 04:03:44 UTC
Justin Luth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c5e4c2603197ecfbc19957da775f80ba06648105

tdf#131561 writerfilter: pre-emptive unit test

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.